package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DonationDeductCollection extends AbstractObjectCollection 
{
    public DonationDeductCollection()
    {
        super(DonationDeductInfo.class);
    }
    public boolean add(DonationDeductInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DonationDeductCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DonationDeductInfo item)
    {
        return removeObject(item);
    }
    public DonationDeductInfo get(int index)
    {
        return(DonationDeductInfo)getObject(index);
    }
    public DonationDeductInfo get(Object key)
    {
        return(DonationDeductInfo)getObject(key);
    }
    public void set(int index, DonationDeductInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DonationDeductInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DonationDeductInfo item)
    {
        return super.indexOf(item);
    }
}